# Interface methods for submodule: MeshSource
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ProcessObjectProxy as _ProcessObjectProxy


# Interface methods for class: MeshSource
class MeshSourceProxy(_ProcessObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	@overload
	def GetOutput(self):
		""""""
		...

	@overload
	def GetOutput(self, idx: int):
		""""""
		...

	def SetOutput(self, output) -> None:
		""""""
		...

	@overload
	def GraftOutput(self, graft) -> None:
		""""""
		...

	@overload
	def GraftOutput(self, key: str, graft) -> None:
		""""""
		...

	def GraftNthOutput(self, idx: int, graft) -> None:
		""""""
		...

	def MakeOutput(self, idx: int):
		""""""
		...

